[package]
name = "tor-protover"
version = "0.5.0"
authors = ["The Tor Project, Inc.", "Nick Mathewson <nickm@torproject.org>"]
edition = "2021"
rust-version = "1.65"
license = "MIT OR Apache-2.0"
homepage = "https://gitlab.torproject.org/tpo/core/arti/-/wikis/home"
description = "Implementation for Tor's subprotocol versioning"
keywords = ["tor", "arti"]
categories = ["network-programming"]
repository = "https://gitlab.torproject.org/tpo/core/arti.git/"

[dependencies]
caret = { path = "../caret", version = "0.4.0" }
thiserror = "1"

[features]
full = ["caret/full"]
[package.metadata.docs.rs]
all-features = true
rustdoc-args = ["--cfg", "docsrs"]
